<div mat-dialog-title>
    <h1>Formulario Empleado</h1>
</div>
<form [formGroup]="empleadoForm" (ngSubmit)="enviarFormularioEmpleado()">
  <div mat-dialog-content class="content">
    <div class="row">
        <mat-form-field appearance="outline">
            <mat-label>Nombres</mat-label>
            <input matInput type="text" placeholder="Ex. Rue Germán" formControlName="nombres">
          </mat-form-field>
          <mat-form-field appearance="outline">
            <mat-label>Apellidos</mat-label>
            <input matInput type="text" placeholder="Ex. Ccarita Jara" formControlName="apellidos">
          </mat-form-field>
    </div>
  
    <div class="row">
        <mat-form-field appearance="outline">
            <mat-label>Correo</mat-label>
            <input matInput type="text" placeholder="Ex. rue.ccarita@usil.pe" formControlName="correo">
          </mat-form-field>
          <mat-form-field appearance="outline">
            <mat-label>Año de nacimiento</mat-label>
            <input matInput [matDatepicker]="picker" formControlName="anio_nacimiento">
            <mat-hint>MM/DD/YYYY</mat-hint>
            <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
          </mat-form-field>
    </div>
    <mat-radio-group aria-label="Selecciona una opción" formControlName="genero">
        <mat-label><b>Género</b></mat-label>
        <mat-radio-button value="mascuino">Masculino</mat-radio-button>
        <mat-radio-button value="femenino">Femenino</mat-radio-button>
        <mat-radio-button value="otros">Otros</mat-radio-button>
      </mat-radio-group>
      <div class="row">
        <mat-form-field appearance="outline">
            <mat-label>Educación</mat-label>
            <mat-select formControlName="educacion">
              <mat-option *ngFor="let item of educacion" [value]="item">{{item}}</mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field appearance="outline">
            <mat-label>Empresa</mat-label>
            <input matInput type="text" placeholder="Ex. MINAM" formControlName="empresa">
          </mat-form-field>
      </div>
      <div class="row">
        <mat-form-field appearance="outline">
            <mat-label>Experiencia</mat-label>
            <input matInput type="number" placeholder="Ex. 3" formControlName="experiencia">
            <mat-hint>Años</mat-hint>
          </mat-form-field>
          <mat-form-field appearance="outline">
            <mat-label>Expectativa Salarial</mat-label>
            <input matInput type="number" placeholder="Ex. $3000" formControlName="expectativa_salarial">
            <mat-hint>Dolares</mat-hint>
          </mat-form-field>
      </div>
  </div>
  <div mat-dialog-actions class="action">
    <button mat-raised-button type="button" [mat-dialog-close]="false">Cancel</button>
    <button mat-raised-button color="primary" type="submit">{{data ? 'Actualizar':'Agregar'}}</button>
  </div>
</form >

